Class ExecutionsRequestBuilder
- Namespace
- Keycloak.AuthServices.Sdk.Kiota.Admin.Admin.Realms.Item.Authentication.Flows.Item.Executions
- Assembly
- Keycloak.AuthServices.Sdk.Kiota.dll
Builds and executes requests for operations under \admin\realms{realm}\authentication\flows{flowAlias-id}\executions
public class ExecutionsRequestBuilder : BaseRequestBuilder
- Inheritance
-
BaseRequestBuilderExecutionsRequestBuilder
- Inherited Members
-
BaseRequestBuilder.PathParametersBaseRequestBuilder.RequestAdapterBaseRequestBuilder.UrlTemplate
Constructors
ExecutionsRequestBuilder(Dictionary<string, object>, IRequestAdapter)
Instantiates a new ExecutionsRequestBuilder and sets the default values.
public ExecutionsRequestBuilder(Dictionary<string, object> pathParameters, IRequestAdapter requestAdapter)
Parameters
pathParametersDictionary<string, object>Path parameters for the request
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
ExecutionsRequestBuilder(string, IRequestAdapter)
Instantiates a new ExecutionsRequestBuilder and sets the default values.
public ExecutionsRequestBuilder(string rawUrl, IRequestAdapter requestAdapter)
Parameters
rawUrlstringThe raw URL to use for the request builder.
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
Properties
Execution
The execution property
public ExecutionRequestBuilder Execution { get; }
Property Value
Flow
The flow property
public FlowRequestBuilder Flow { get; }
Property Value
Methods
GetAsync(Action<RequestConfiguration<DefaultQueryParameters>>?, CancellationToken)
Get authentication executions for a flow
public Task<List<AuthenticationExecutionInfoRepresentation>?> GetAsync(Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null, CancellationToken cancellationToken = default)
Parameters
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
cancellationTokenCancellationTokenCancellation token to use when cancelling requests
Returns
- Task<List<AuthenticationExecutionInfoRepresentation>>
A List<global::Keycloak.AuthServices.Sdk.Kiota.Admin.Models.AuthenticationExecutionInfoRepresentation>
PutAsync(AuthenticationExecutionInfoRepresentation, Action<RequestConfiguration<DefaultQueryParameters>>?, CancellationToken)
Update authentication executions of a Flow
public Task PutAsync(AuthenticationExecutionInfoRepresentation body, Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null, CancellationToken cancellationToken = default)
Parameters
bodyAuthenticationExecutionInfoRepresentationThe request body
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
cancellationTokenCancellationTokenCancellation token to use when cancelling requests
Returns
ToGetRequestInformation(Action<RequestConfiguration<DefaultQueryParameters>>?)
Get authentication executions for a flow
public RequestInformation ToGetRequestInformation(Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null)
Parameters
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
Returns
- RequestInformation
A Microsoft.Kiota.Abstractions.RequestInformation
ToPutRequestInformation(AuthenticationExecutionInfoRepresentation, Action<RequestConfiguration<DefaultQueryParameters>>?)
Update authentication executions of a Flow
public RequestInformation ToPutRequestInformation(AuthenticationExecutionInfoRepresentation body, Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null)
Parameters
bodyAuthenticationExecutionInfoRepresentationThe request body
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
Returns
- RequestInformation
A Microsoft.Kiota.Abstractions.RequestInformation
WithUrl(string)
Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
public ExecutionsRequestBuilder WithUrl(string rawUrl)
Parameters
rawUrlstringThe raw URL to use for the request builder.